cd "C:\Users\kfosburg\OneDrive - Bowdoin College\CHSpecies_KF\STATA"

*rename as prcnt private not proportion priv/fed
rename privfedprop prcntprivprop

rename privfedfinal prcntprivfinal

*dummies for vertebrates or invertebrates/plants
gen invertplant = 0
 replace invertplant = 1 if plant == 1 | insect == 1
 
 gen vert = 0
 replace vert = 1 if mammal == 1 | reptile == 1 | bird == 1
 
  *make complexity dummies bc might not be representative to have continuous
 gen complex1=0
 
 replace complex1=1 if complexity==1
 
  gen complex2=0
 
 replace complex2=1 if complexity==2
 
  gen complex3=0
 
 replace complex3=1 if complexity==3
 
 *income in thousands
 gen incomek = income/1000
 
 *generate incomesq as a way to show nonlinearity
 
   gen incomesq = incomek^2
   
  *test correlation between variables
 corr incomek nat
 corr nat dev
 corr d r m
 
 drop totalgain
 gen totalgain = 0
 replace totalgain = 1 if relchange >= 0
 
  
*Results1 (Results is same but with fewer stats)
 regress relchange incomek, r
outreg2 using results1, word replace stat (coef se ci)adjr2

regress relchange incomek complex2 complex3, r
outreg2 using results1, word  stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 reptile bird insect plant, r
outreg2 using results1, word  stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 reptile bird insect plant nat, r
outreg2 using results1, word  stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 reptile bird insect plant nat dev, r
outreg2 using results1, word  stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 reptile bird insect plant nat dev r m, r
outreg2 using results1, word  stat (coef se ci)adjr2

*same reg with fewer IVs RESULTS2
regress relchange incomek complex2 complex3 reptile bird insect plant nat m, r
outreg2 using results2, word  stat (coef se ci)adjr2

**include region and time dummy- fewer of above- RESULTS3

*create broad region dummies
gen west = 0
replace west = 1 if region == 1 | region == 8

gen cental = 0
replace cental = 1 if region == 6 | region == 2 | region == 3
rename cental central

gen east = 0
replace east = 1 if region == 4 | region == 5

corr incomek west
corr incomek east
corr incomek central

*create decade dummies

split datefinal, parse (/)

drop year
drop datefinal1
drop datefinal2
gen year = real(datefinal3)

drop decade1
gen decade1 = 0
replace decade1 = 1 if year >= 77

drop decade2
gen decade2 = 0
gen byte cond1 = year>=00 & year<10
replace decade2 = 1 if cond1

gen decade3 = 0
replace decade3 = 1 if year >= 10 & year < 23

regress relchange incomek complex2 complex3 reptile bird insect plant nat m , r
outreg2 using results3, word  stat (coef se ci)adjr2



regress relchange incomek complex2 complex3 reptile bird insect plant nat m decade2 decade3, r
outreg2 using results3, word  stat (coef se ci)adjr2

reg relchange incomek complex2 complex3 reptile bird insect plant nat m decade2 decade3 prcntprivprop, r

outreg2 using results3, word  stat (coef se ci)adjr2

*with only west coast regions (1 and 8) RESULTS4
regress relchange incomek if west==1
outreg2 using results4, word  stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 reptile bird insect plant nat m if west==1
outreg2 using results4, word  stat (coef se ci)adjr2


regress relchange incomek complex2 complex3 reptile bird insect plant nat m decade2 decade3 if west==1
outreg2 using results4, word  stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 reptile bird insect plant nat m decade2 decade3 if region==8

outreg2 using results8only, word stat (coef se ci)adjr2



*Results5- primary IVs with private federal total breakdown

regress privaterelchange incomek complex2 complex3 nat, r
outreg2 using resultsrel, word stat (coef se)adjr2

regress privaterelchange incomek complex2 complex3 nat m d insect bird plant reptile from2000to2009 from2010topresent west central, r
outreg2 using resultsrel, word stat (coef se)adjr2

regress fedrelchange incomek complex2 complex3 nat, r
outreg2 using resultsrel, word stat (coef se)adjr2

regress fedrelchange incomek complex2 complex3 nat m d insect bird plant reptile from2000to2009 from2010topresent west central, r
outreg2 using resultsrel, word stat (coef se)adjr2

regress relchange incomek complex2 complex3 nat, r
outreg2 using resultsrel, word replace stat (coef se)adjr2

regress relchange incomek complex2 complex3 nat m d insect bird plant reptile from2000to2009 from2010topresent west central, r
outreg2 using resultsrel, word stat (coef se)adjr2


**results with taxonomy changes

reg relchange incomek complex2 complex3 reptile bird insect plant nat m decade2 decade3 prcntprivprop, r


reg relchange incomek complex2 complex3 bird nat m decade2 decade3 prcntprivprop, r


reg relchange incomek complex2 complex3 plant nat m decade2 decade3 prcntprivprop, r


reg relchange incomek complex2 complex3 insect nat m decade2 decade3 prcntprivprop, r

*income/dev specifications


regress relchange incomek changeincome nat complex2 complex3 m d insect bird plant reptile  east central, r
outreg2 using change, word replace stat (coef se)adjr2

regress totalgain incomek changeincome nat complex2 complex3 m d insect bird plant reptile  east central, r
outreg2 using change, word stat (coef se)adjr2

regress relchange incomek nat dev complex2 complex3 m d insect bird plant reptile east central from2000to2009 from2010topresent, r
outreg2 using change, word stat (coef se)adjr2

regress relchange incomek nat changedev complex2 complex3 m d insect bird plant reptile east central, r
outreg2 using change, word stat (coef se)adjr2

regress totalgain incomek nat changedev complex2 complex3 m d insect bird plant reptile east central, r
outreg2 using change, word stat (coef se)adjr2

test incomek incomesq
corr incomek incomesq

corr incomek changeincome



test incomek changeincome


*development change
corr decade3 changedev

regress relchange incomek dev complex2 complex3 invertplant nat m, r
outreg2 using resultsdev, word replace stat (coef se ci)adjr2


regress relchange incomek dev changedev complex2 complex3 invertplant nat m, r
outreg2 using resultsdev, word  stat (coef se ci)adjr2

test dev changedev

regress relchange incomek changedev complex2 complex3 invertplant nat m , r
outreg2 using resultsdev, word  stat (coef se ci)adjr2

**interactions

regress relchange incomek nat c.incomek#c.nat complex2 complex3 m d insect bird plant reptile, r
outreg2 using resultsinteractions, word replace stat (coef se)adjr2

regress relchange incomek nat c.incomek#c.nat complex2 complex3 m d insect bird plant reptile east central from2000to2009 from2010topresent, r
outreg2 using resultsinteractions, word stat (coef se)adjr2

regress totalgain incomek nat c.incomek#c.nat complex2 complex3 m d insect bird plant reptile east central from2000to2009 from2010topresent, r
outreg2 using resultsinteractions, word stat (coef se)adjr2

*other interactions (appendix)
regress relchange incomek nat c.incomek#c.changedev complex2 complex3 m d insect bird plant reptile, r
outreg2 using resultsinteractionA, word stat (coef se)adjr2

regress relchange incomek nat c.incomek#c.changedev complex2 complex3 m d insect bird plant reptile east central from2000to2009 from2010topresent, r
outreg2 using resultsinteractionA, word stat (coef se)adjr2

regress totalgain incomek nat c.incomek#c.changedev complex2 complex3 m d insect bird plant reptile east central from2000to2009 from2010topresent, r
outreg2 using resultsinteractionA, word stat (coef se)adjr2

ssc install coefplot
coefplot, keep (incomek c.incomek#c.nat)


regress relchange incomek complex2 complex3 nat c.incomek#c.dev m decade2 decade3, r
outreg2 using resultsinteractions, word stat (coef se ci)adjr2


regress relchange incomek complex2 complex3 nat c.incomek#c.changedev m decade2 decade3, r
outreg2 using resultsinteractions, word stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 c.incomek#i.complex2 c.incomek#i.complex3 nat m decade2 decade3, r
outreg2 using resultsinteractions, word stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 c.incomek#i.west c.incomek#i.central nat m decade2 decade3, r
outreg2 using resultsinteractions, word stat (coef se ci)adjr2
**
**
**
**
**
*graph to show interaction between income and nature
scatter incomek nat [w=relloss], msymbol(Oh) msize (small) 

*results for complexity and taxonomy interactions
regress relchange incomek complex2 complex3 nat m decade2 decade3, r
outreg2 using resultscomplextax, word replace stat (coef se ci)adjr2

regress relchange incomek complex2 complex3 insect#complex2 insect#complex3 nat m decade2 decade3, r
outreg2 using resultscomplextax, word stat (coef se ci)adjr2

		*insect only interesting one

**excluding birds- because they can fly 

regress relchange incomek complex2 complex3 reptile plant insect nat m decade2 decade3 if bird == 0, r
outreg2 using resultnobirds, word replace stat (coef se ci)adjr2


**Robustness - complex1 and region8
*standard
regress relchange incomek nat complex2 complex3 reptile plant insect bird d m, r
outreg2 using resultrobust, word replace stat (coef se ci)adjr2
*complex1
regress relchange incomek nat reptile plant insect bird d m if complex1 == 1, r
outreg2 using resultrobust, word stat (coef se ci)adjr2
*region 8
regress relchange incomek nat complex2 complex3 reptile plant insect bird d m if region == 8, r
outreg2 using resultrobust, word stat (coef se ci)adjr2


*extensive margin- total gain
ssc install outreg2
regress totalgain incomek complex2 complex3 nat, r
outreg2 using resultstotalgain, word replace stat (coef se)adjr2

regress totalgain incomek complex2 complex3 nat m d , r
outreg2 using resultstotalgain, word stat (coef se)adjr2

regress totalgain incomek complex2 complex3 nat m d insect bird plant reptile , r
outreg2 using resultstotalgain, word stat (coef se)adjr2

regress totalgain incomek complex2 complex3 nat m d insect bird plant reptile from2000to2009 from2010topresent, r
outreg2 using resultstotalgain, word stat (coef se)adjr2

regress totalgain incomek complex2 complex3 nat m d insect bird plant reptile from2000to2009 from2010topresent west central, r
outreg2 using resultstotalgain, word stat (coef se)adjr2
*generate variable with only loss and make change values positive

gen lost = 1 if relchange <= 0

gen relloss = abs(relchange) if lost == 1

*graphics

scatter relchange relloss daysdiff, mcolor(blue red)
scatter relchange nat || lfit relchange nat, graphregion(color(white))
scatter relloss
scatter relchange daysdiff, graphregion(color(white))

*summary statistics

sum totalprop
sum totalfinal
sum relchange
sum relloss
sum privateprop
sum privatefinal
sum privaterelchange
sum federalprop
sum federalfinal
sum fedrelchange
sum prcntprivprop
sum prcntprivfinal

sum incomek
sum changeincome
sum dev
sum cult
sum nat
sum changedev

tab species
tab regions
tab complexity
tab admin
tab totalgain




*gen species variable 
drop species
gen species = "mammal"
replace species = "bird" if bird == 1 
replace species = "plant" if plant == 1 
replace species = "reptile" if reptile == 1 
replace species = "insect" if insect == 1 
*gen admin variable
gen admin = "Dem"
replace admin = "Rep" if r == 1
replace admin = "Mix" if m == 1

rename decade1 pre2000
rename decade2 from2000to2009
rename decade3 from2010topresent

gen relgain = relchange if totalgain == 1
sum relgain


pwcorr (incomek west central east)

pwcorr (incomek pre2000 from2000to2009 from2010topresent)

*CHs designated in higher income areas more during this decade
regress relchange incomek nat complex2 complex3 m d insect bird plant reptile central east from2000to2009 from2010topresent, r
outreg2 using decade, word replace stat (coef se)adjr2

regress relchange incomek nat complex2 complex3 m d insect bird plant reptile central east if from2000to2009 == 1, r
outreg2 using decade, word stat (coef se)adjr2

gen totalgainpriv = 0
replace totalgainpriv = 1 if privaterelchange >= 0

gen totalgainfed = 0
replace totalgainfed = 1 if fedrelchange >= 0

tab totalgainpriv 
tab totalgainfed

sum privaterelchange
sum fedrelchange



